EndpointResolver (Apache CXF JavaDoc 3.6.11 API)

Package org.apache.cxf.endpoint

## Interface EndpointResolver

-     public interface EndpointResolver

  Implementations of this interface are responsible for mapping between abstract and concrete endpoint references, and/or renewing stale references.

  An underlying mechanism in the style of the OGSA WS-Naming specification is assumed, where an EPR maybe be fully abstract, or concrete but with sufficient information embedded to enable its renewal if necessary.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.apache.cxf.ws.addressing.EndpointReferenceType` | `mint​(QName serviceName)` | Mint a new abstract EPR for a given service name.
    `org.apache.cxf.ws.addressing.EndpointReferenceType` | `mint​(org.apache.cxf.ws.addressing.EndpointReferenceType physical)` | Mint a new abstract EPR for a given concrete EPR
    `org.apache.cxf.ws.addressing.EndpointReferenceType` | `renew​(org.apache.cxf.ws.addressing.EndpointReferenceType logical, org.apache.cxf.ws.addressing.EndpointReferenceType physical)` | Force a fresh resolution of the given abstract EPR, discarding any previously cached reference.
    `org.apache.cxf.ws.addressing.EndpointReferenceType` | `resolve​(org.apache.cxf.ws.addressing.EndpointReferenceType logical)` | Retrieve a concrete EPR corresponding to the given abstract EPR, returning a cached reference if already resolved.

- - ### Method Detail

    - #### resolve

          org.apache.cxf.ws.addressing.EndpointReferenceType resolve​(org.apache.cxf.ws.addressing.EndpointReferenceType logical)

      Retrieve a concrete EPR corresponding to the given abstract EPR, returning a cached reference if already resolved.
      Parameters:
        `logical` - the abstract EPR to resolve
      Returns:
        the resolved concrete EPR if appropriate, null otherwise

    - #### renew

          org.apache.cxf.ws.addressing.EndpointReferenceType renew​(org.apache.cxf.ws.addressing.EndpointReferenceType logical,
                                                                   org.apache.cxf.ws.addressing.EndpointReferenceType physical)

      Force a fresh resolution of the given abstract EPR, discarding any previously cached reference.
      Parameters:
        `logical` - the previously resolved abstract EPR
        `physical` - the concrete EPR to refresh
      Returns:
        the renewed concrete EPR if appropriate, null otherwise

    - #### mint

          org.apache.cxf.ws.addressing.EndpointReferenceType mint​(QName serviceName)

      Mint a new abstract EPR for a given service name.
      Parameters:
        `serviceName` -
      Returns:
        the newly minted EPR if appropriate, null otherwise

    - #### mint

          org.apache.cxf.ws.addressing.EndpointReferenceType mint​(org.apache.cxf.ws.addressing.EndpointReferenceType physical)

      Mint a new abstract EPR for a given concrete EPR
      Parameters:
        `physical` -
      Returns:
        the newly minted EPR if appropriate, null otherwise